Subject: Re: [mpls-tp] poll on draft-swallow-mpls-tp-identifiers-02.txt for wgdraft

From: <[email-masked]>
Date: Fri, 6 Nov 2009 19:21:33 +0000

Italo,

In my opinion your comments below can be categorised as follows:

1) the docuement does not include/define something that it should.
2) the document needs to be better aligned with another document
3) the document needs some things better described/clarified.

When i consider whether i think a document should become a wg document i ask myself the following:

1) is it a topic the wg should work on?
2) is it in scope of the wg?
3) is the document a good starting point for working on the topic?

The answer to the first two is obviously yes. The real question (in my opinion) is whether you are unable to reach a decision as to whether the document is a good starting point until your comments are resolved?

The issue i have is re-spinning the draft to address your comments, then publishing a -00 WG version then addressing the other existing comments and publishing a -01 WG version seems unecessary. A more expedient course (in my opinion) is for the authors to commit to addressing your comments (provided they agree with them), publish as a -00 WG version and then address all outstanding comments in one go and publish a -01 WG version.

Ben

________________________________
From: BUSI ITALO <[email-masked]>
Sent: 06 November 2009 17:16
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: [mpls-tp] poll on draft-swallow-mpls-tp-identifiers-02.txt for wgdraft

Stewart,

I prefectly understand your point. In fact, as mentioned at the end of the mail, I have other comments that could be addressed after the document becomes a WG draft.

I therefore focused on the issues that I consider blocking for the acceptance of the draft as a good starting point.

I do not think it would be a big deal to address them:

- comment 1 can be easily addressed via cut&paste of the text in my mail (with minor edits)

- comment 2 can be easily addressed removing the section or adding an editor's note clarify that the section needs major rework

- comment 3, if it is a terminology issue as I guess, can be easily solved by replacing LIH with IF_Num.

On the process side, I have no issue if these changes are done in the -00 version of the WG draft.

Given these facts, I fail to understand the reluctancy to address these comments before the document becomes a WG draft.

Italo

________________________________
From: Stewart Bryant [mailto:[email-masked]]
Sent: Friday, November 06, 2009 5:59 PM
To: BUSI ITALO
Cc: [email-masked]
Subject: Re: [mpls-tp] poll on draft-swallow-mpls-tp-identifiers-02.txt for wgdraft

Italo

Moving a document to WG draft indicates that it is a good starting point from an overall technology point of view and that it should now move from the control of the individual authors to the control of the working group - i.e. a WG draft is a draft that the WG is working on.

I think that the draft fulfills  those requirements and that we should accept the draft and work the issues you have raised through the normal WG process.

Stewart

BUSI ITALO wrote:

I am sorry to say that there are some open issues in the draft that need
to be resolved before I can consider it a good enough starting point.

As a consequence I can support this draft to become a WG document if and
only if the following comments are addressed:

1) Lack of ITU-T based MEP_ID format for LSPs and PWs

The draft correclty defines the ICC-based MEG_ID (that is globally
unique identifier for the MEG). In order to identify a MEP within an
MEG, we need an MEP_Index (unique within the context of the MEG) such
that the MEP_ID = MEG_ID::MEP_Index provides a globally unique
identifier for the MEPs based on ITU-T conventions.

2) Section 7.2.2.2. is not very clear and it seems not aligned with the
OAM Framework

I would propse to remove the section from the draft pending discussion
within the context of the OAM Framework.

3) Section 4

It is not clear whether the usage of the Logical Interface Handle (LIH)
has relationship with the LIH field as defined in RFC 2205. This is not
consistent with RFC 4990.

If this is just a terminology issue, it would be better to rename LIH
with a different name like interaface number (IF_Num) to avoid confusion
and misinterpreations.

I am also preparing a list of other detailed comments but none of them
is conditional for WG adoption.

Thanks, Italo

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
On Behalf Of Loa Andersson
Sent: Monday, October 26, 2009 9:50 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: [CCAMP] poll on
draft-swallow-mpls-tp-identifiers-02.txt for wgdraft

All,

this is to start a two week poll in making

draft-swallow-mpls-tp-identifiers-02.txt

an MPLS working group document.

Send a mail to the [email-masked]<mailto:[email-masked]> mailing list, indicating
"yes/support" or "no/do not support".

Comments on the content of the draft should be sent to the same
mailing list with a different subject line.

The poll ends Sun Nov 8.

/Loa

MPLS WG co-chair

--

Loa Andersson                         email:
[email-masked]<mailto:[email-masked]>
Sr Strategy and Standards Manager            [email-masked]<mailto:[email-masked]>
Ericsson Inc                          phone: +46 10 717 52 13
                                              +46 767 72 92 13
_______________________________________________
CCAMP mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ccamp

_______________________________________________
mpls-tp mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls-tp

---

From: "Drake, John E" <[email-masked]>
Date: Fri, 6 Nov 2009 12:59:34 -0800

Ben,

Impeccable logic.

Thanks,

John 

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of 
> [email-masked]
> Sent: Friday, November 06, 2009 11:22 AM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: Re: [mpls-tp] poll on 
> draft-swallow-mpls-tp-identifiers-02.txtfor wgdraft
> 
> Italo,
> 
> The answer to the first two is obviously yes. The real 
> question (in my opinion) is whether you are unable to reach a 
> decision as to whether the document is a good starting point 
> until your comments are resolved?
> 
> The issue i have is re-spinning the draft to address your 
> comments, then publishing a -00 WG version then addressing 
> the other existing comments and publishing a -01 WG version 
> seems unecessary. A more expedient course (in my opinion) is 
> for the authors to commit to addressing your comments 
> (provided they agree with them), publish as a -00 WG version 
> and then address all outstanding comments in one go and 
> publish a -01 WG version.
> 
> Ben
> 
> 
> Subject: Re: [mpls-tp] poll on 
> I prefectly understand your point. In fact, as mentioned at 
> the end of the mail, I have other comments that could be 
> addressed after the document becomes a WG draft.
> 
> I therefore focused on the issues that I consider blocking 
> for the acceptance of the draft as a good starting point.
> 
> - comment 2 can be easily addressed removing the section or 
> adding an editor's note clarify that the section needs major rework
> 
> - comment 3, if it is a terminology issue as I guess, can be 
> easily solved by replacing LIH with IF_Num.
> 
> Given these facts, I fail to understand the reluctancy to 
> address these comments before the document becomes a WG draft.
> 
> Italo
> 
> Subject: Re: [mpls-tp] poll on 
> Moving a document to WG draft indicates that it is a good 
> starting point from an overall technology point of view and 
> that it should now move from the control of the individual 
> authors to the control of the working group - i.e. a WG draft 
> is a draft that the WG is working on.
> 
> I think that the draft fulfills  those requirements and that 
> we should accept the draft and work the issues you have 
> raised through the normal WG process.
> 
> Stewart
> 
> 
> 
> BUSI ITALO wrote:
> 
> I am sorry to say that there are some open issues in the 
> draft that need to be resolved before I can consider it a 
> good enough starting point.
> 
> As a consequence I can support this draft to become a WG 
> document if and only if the following comments are addressed:
> 
> The draft correclty defines the ICC-based MEG_ID (that is 
> globally unique identifier for the MEG). In order to identify 
> a MEP within an MEG, we need an MEP_Index (unique within the 
> context of the MEG) such that the MEP_ID = MEG_ID::MEP_Index 
> provides a globally unique identifier for the MEPs based on 
> ITU-T conventions.
> 
> 2) Section 7.2.2.2. is not very clear and it seems not 
> aligned with the OAM Framework
> 
> I would propse to remove the section from the draft pending 
> discussion within the context of the OAM Framework.
> 
> 3) Section 4
> 
> It is not clear whether the usage of the Logical Interface 
> Handle (LIH) has relationship with the LIH field as defined 
> in RFC 2205. This is not consistent with RFC 4990.
> 
> If this is just a terminology issue, it would be better to 
> rename LIH with a different name like interaface number 
> (IF_Num) to avoid confusion and misinterpreations.
> 
> I am also preparing a list of other detailed comments but 
> none of them is conditional for WG adoption.
> 
> Thanks, Italo
> 
> 
> 
> From: [email-masked]<mailto:[email-masked]> 
> [mailto:[email-masked]] On Behalf Of Loa Andersson
> To: [email-masked]<mailto:[email-masked]>; 
> [email-masked]<mailto:[email-masked]>; 
> [email-masked]<mailto:[email-masked]>; 
> [email-masked]<mailto:[email-masked]>
> Subject: [CCAMP] poll on
> Send a mail to the [email-masked]<mailto:[email-masked]> 
> mailing list, indicating "yes/support" or "no/do not support".
> 
> Comments on the content of the draft should be sent to the 
> same mailing list with a different subject line.
> 
> The poll ends Sun Nov 8.
> 
> /Loa
> 
> MPLS WG co-chair
> 
> 
> --
> 
> 
> Loa Andersson                         email:
>                                               +46 767 72 92 
> 13 _______________________________________________
> CCAMP mailing list
> [email-masked]

---

From: Loa Andersson <[email-masked]>
Date: Mon, 09 Nov 2009 06:06:58 +0100

All,

as for versions of documents when they become wg docs, I'd like to
see a 1:1 mapping between in technical content between the last
individual ID and the first wg ID.

The reason is that it makes it easier to use the diff tool.

The authors might publish a new version 5 min after the the
first wg doc appears in the repositor, other than that I agree
with Ben's logic.

/Loa

-- 

Loa Andersson                         email: [email-masked]
Sr Strategy and Standards Manager            [email-masked]
Ericsson Inc                          phone: +46 10 717 52 13
                                              +46 767 72 92 13

---

From: "BUSI ITALO" <[email-masked]>
Date: Tue, 10 Nov 2009 02:49:14 +0100

Ben,

> until your comments are resolved? 

That's the point. If my comments are not resolved, I do not consider the
draft a good starting point.

I think I have been crystal clear that these issues should be resolved
before I can consider the draft a good starting point.

Italo

> From: [email-masked] 
> [mailto:[email-masked]] 
> Sent: Saturday, November 07, 2009 4:22 AM
> To: BUSI ITALO; [email-masked]
> Cc: [email-masked]
> Subject: RE: [mpls-tp] poll on 
> draft-swallow-mpls-tp-identifiers-02.txt forwgdraft
> 
> Italo,
> 
> draft that need
> document if and
> Handle (LIH)

---

From: Loa Andersson <[email-masked]>
Date: Tue, 10 Nov 2009 08:23:10 +0100

Italo,

I understand that you have significant concerns with this document.

However, the working group consensus was very clear and the document
will become a WG I-D now, and I expect you to work with the document
authors as a matter of high priority to explain and resolve your
issues.

I also expect that this will not get in the way progressing the IETF
document you are working on.

/Loa

--